Create a status page incident (manual)
curl --request POST \
--url https://api.devhelm.io/api/v1/status-pages/{id}/incidents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"body": "<string>",
"affectedComponents": [
{
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"scheduled": true,
"scheduledFor": "2023-11-07T05:31:56Z",
"scheduledUntil": "2023-11-07T05:31:56Z",
"autoResolve": true,
"notifySubscribers": true,
"monitoringIncidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.devhelm.io/api/v1/status-pages/{id}/incidents"
payload = {
"title": "<string>",
"body": "<string>",
"affectedComponents": [{ "componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }],
"scheduled": True,
"scheduledFor": "2023-11-07T05:31:56Z",
"scheduledUntil": "2023-11-07T05:31:56Z",
"autoResolve": True,
"notifySubscribers": True,
"monitoringIncidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
body: JSON.stringify('<string>'),
affectedComponents: [{componentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}],
scheduled: true,
scheduledFor: '2023-11-07T05:31:56Z',
scheduledUntil: '2023-11-07T05:31:56Z',
autoResolve: true,
notifySubscribers: true,
monitoringIncidentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.devhelm.io/api/v1/status-pages/{id}/incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"scheduled": true,
"autoResolve": true,
"startedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"scheduledUntil": "2023-11-07T05:31:56Z",
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123,
"postmortemBody": "<string>",
"postmortemUrl": "<string>",
"affectedComponents": [
{
"statusPageComponentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentName": "<string>"
}
],
"updates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"body": "<string>",
"notifySubscribers": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123
}
]
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Status Pages
Create a status page incident (manual)
POST
/
api
/
v1
/
status-pages
/
{id}
/
incidents
Create a status page incident (manual)
Authorizations
API key (dh_live_...) or Auth0 JWT token
Path Parameters
Body
application/json
Customer-facing incident title
Maximum string length:
500Impact level: NONE, MINOR, MAJOR, or CRITICAL
Available options:
NONE, MINOR, MAJOR, CRITICAL Initial update body in markdown
Minimum string length:
1Initial status (default: INVESTIGATING)
Available options:
INVESTIGATING, IDENTIFIED, MONITORING, RESOLVED Component IDs affected by this incident
Show child attributes
Show child attributes
Whether this is a scheduled maintenance (default: false)
Maintenance start time (required when scheduled=true)
Maintenance end time
Auto-resolve at scheduledUntil (default: false)
Whether to email confirmed subscribers about this incident (default: true)
Monitoring incident ID to link this status page incident to; null for standalone
Response
Created
Show child attributes
Show child attributes
⌘I